SLASH_TORARANGE1, SLASH_TORARANGE2 = "/torarange", "/tr"

function SlashCmdList.TORARANGE(msg, editBox)
	local cmd, payload = strsplit(" ", msg)
	cmd = strlower(cmd)

	if cmd == "t" or cmd == "toggle" then
		ToraRange_Options_Visible = not ToraRange_Options_Visible
		if ToraRange_Options_Visible then
            ToraRange_Radar.Frame:Show()
            print("|cff00CCFFToraRange shown|r")
        else
            ToraRange_Radar.Frame:Hide()
            print("|cff00CCFFToraRange hidden|r")
        end
	elseif cmd == "o" or cmd == "options" then
		InterfaceOptionsFrame_OpenToCategory("ToraRange")
	elseif cmd == "s" or cmd == "show" then
		ToraRange_Options_Visible = true
		ToraRange_Radar.Frame:Show()
		print("|cff00CCFFToraRange shown|r")
	elseif cmd == "h" or cmd == "hide" then
		ToraRange_Options_Visible = false
		ToraRange_Radar.Frame:Hide()
		print("|cff00CCFFToraRange hidden|r")
	elseif cmd == "r" or cmd == "range" then
		if payload == nil then
			print("|cff00CCFFToraRange range warning:", ToraRange_Options_RangeWarning, "yd|r")
		else
			local range = tonumber(payload)
			ToraRange_Options_RangeWarning = range
			ToraRangeOptionsMenuRangeWarning:SetValue(range)
			ToraRange_RadarFrameRangeLabel:SetText(string.format("Range: %dyd", ToraRange_Options_RangeWarning))
			print("|cff00CCFFToraRange set range to", range, "yd|r")
		end
	else
		print("|cff00CCFFToraRange (/tr, /torarange) commands:|r")
		print("  |cff55EEFF[t]oggle: toggle the visibility of the radar|r")
		print("  |cff55EEFF[s]how: show the radar|r")
		print("  |cff55EEFF[h]ide: hide the radar|r")
		print("  |cff55EEFF[r]ange <number>: sets the range warning to <number> yd|r")
		print("  |cff55EEFF[o]ptions: open the options menu|r")
	end
end
